Name: python-module-pywm
Version: 1.0 	
Release: alt1
Summary: Module python for WindowMaker docklets
Summary(ru_Ru.UTF-8): Модуль python для написания докапплетов  WindowMaker.
License: GPL
Group: Development/Python

URL:		http://pywmdockapps.sourceforge.net/
Packager: Kogan Konstantin <kostyalamer at yandex.ru>
Source: %name-%version.tar.gz
Requires: python python-base python-devel >= 2.5
# Automatically added by buildreq on Sun Aug 15 2010 (-bi)
BuildRequires: libXext-devel libXpm-devel python-devel

%description
Pywmgeneral is a Python module that will help you develope WindowMaker
dockapps in Python. It is mostly a wrapper around the functions from
the popular wmgeneral.c, but some new functions are added too.

It also contains the Python written module pywmhelpers.py which
contains functions to aid the development of WM dockapps. This module
contains Python functions that wrap up the functions which the
extension module provides. They ease up argument passing and give
nicer return values. Some additional functions, like help for handling
a simple configuration file is also available. This module is better
documented than the pywmgeneral. It is adviced to only use pywmhelpers
and not touch the pywmgeneral module directly at all. For information
about how to use the module, see the documentation in pywmhelpers.py.
It is also possible to import it in the interactive interpreter and
issue 'help(pywmhelpers)'.

%prep
%setup -q

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install \
           --root=%buildroot \
           --optimize=2 \
           --record=INSTALLED_FILES


%files
%defattr(644,root,root,755)
%doc README
%python_sitelibdir/*


%changelog
* Sun Aug 15 2010 Konstantin Kogan <kostyalamer at yandex.ru> 1.0-alt1
- First build for ALT Linux 5.1
